kind: pipeline
type: docker
name: default

steps:
  - name: build-dotnet
    image: mcr.microsoft.com/dotnet/sdk:6.0
    commands:
      - dotnet publish Aberwyn/Aberwyn.csproj -c Release -o out

  - name: build-docker
    image: plugins/docker
    settings:
      registry: 192.168.1.9:3000
      repo: 192.168.1.9:3000/tai/aberwyn/aberwyn
      username:
        from_secret: gitea_username
      password:
        from_secret: gitea_token
      tags:
        - latest
